﻿using RGBController2.ViewModels;
using System.Collections.ObjectModel;
using System.Windows;

namespace RGBController2.Views
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            // This allows the biniding to be done to the MainViewModel.cs class rather than this one.
            // Why? Something to do with MVVM & good practice?
            var viewModel = new MainViewModel();
            DataContext = viewModel;
            Closing += viewModel.OnWindowClosing;
        }
    }
}
